net.snowflake.client.jdbc

## Enum SnowflakeType

- java.lang.Object
- - java.lang.Enum<SnowflakeType>
  - - net.snowflake.client.jdbc.SnowflakeType

All Implemented Interfaces:
  Serializable, Comparable<SnowflakeType>

    public enum SnowflakeType
    extends Enum<SnowflakeType>

### Nested Class Summary

Nested Classes
`static class` `SnowflakeType.JavaDataType`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANY`
`ARRAY`
`BINARY`
`BOOLEAN`
`CHAR`
`DATE`
`FIXED`
`INTEGER`
`OBJECT`
`REAL`
`TEXT`
`TIME`
`TIMESTAMP`
`TIMESTAMP_LTZ`
`TIMESTAMP_NTZ`
`TIMESTAMP_TZ`
`VARIANT`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `escapeForCSV(String value)`
`static SnowflakeType` `fromString(String name)`
`static SnowflakeType.JavaDataType` `getJavaType(SnowflakeType type)`
`static SnowflakeType` `javaTypeToSFType(int javaType)`
`static String` `lexicalValue(Object o, boolean useLocalTimezone)` Returns a lexical value of an object that is suitable for Snowflake import serialization
`static SnowflakeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SnowflakeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TEXT

    public static final SnowflakeType TEXT

#### CHAR

    public static final SnowflakeType CHAR

#### INTEGER

    public static final SnowflakeType INTEGER

#### FIXED

    public static final SnowflakeType FIXED

#### REAL

    public static final SnowflakeType REAL

#### TIMESTAMP

    public static final SnowflakeType TIMESTAMP

#### TIMESTAMP_LTZ

    public static final SnowflakeType TIMESTAMP_LTZ

#### TIMESTAMP_NTZ

    public static final SnowflakeType TIMESTAMP_NTZ

#### TIMESTAMP_TZ

    public static final SnowflakeType TIMESTAMP_TZ

#### DATE

    public static final SnowflakeType DATE

#### TIME

    public static final SnowflakeType TIME

#### BOOLEAN

    public static final SnowflakeType BOOLEAN

#### ARRAY

    public static final SnowflakeType ARRAY

#### OBJECT

    public static final SnowflakeType OBJECT

#### VARIANT

    public static final SnowflakeType VARIANT

#### BINARY

    public static final SnowflakeType BINARY

#### ANY

    public static final SnowflakeType ANY

### Method Detail

#### values

    public static SnowflakeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SnowflakeType c : SnowflakeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SnowflakeType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromString

    public static SnowflakeType fromString(String name)

#### getJavaType

    public static SnowflakeType.JavaDataType getJavaType(SnowflakeType type)

#### lexicalValue

    public static String lexicalValue(Object o,
                                      boolean useLocalTimezone)

Returns a lexical value of an object that is suitable for Snowflake import serialization

Parameters:
  `o` - Java object representing value in Snowflake
  `useLocalTimezone` - use local timezone instead of UTC
Returns:
  String representation of it that can be used for creating a load file

#### escapeForCSV

    public static String escapeForCSV(String value)

#### javaTypeToSFType

    public static SnowflakeType javaTypeToSFType(int javaType)
                                          throws SnowflakeSQLException

Throws:
  `SnowflakeSQLException`